/**
 * General
 */
.video-selector,
.vs.header,
.vs.shelf,
.vs.footer {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    float:left;
    width:100%;
    height:auto;
    cursor:pointer;
}
.video-selector {
    margin-bottom:30px;
    border:1px solid #f0f0f0;
    border-radius:2px;
}

/**
 * Header
 */
.vs.header {
    padding:15px;
    background-color: #ffffff;
}
.vs.header h1,
.vs.header h2,
.vs.header h3,
.vs.header h4,
.vs.header p {
    margin: 0px;
    font-size: 1.1em;
    font-weight: 600;
}

/**
 * Shelf
 */
 .vs.shelf {
    height: auto;
    margin: 0;
    padding: 0px;
    overflow: hidden;
    background-color: rgba(209, 216, 224, 0.15);
}
.vs.shelf ul {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    height: auto;
    margin: 0px;
    padding: 0px;
    overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap;
    list-style-type: none;
}
.vs.shelf ul li {
    display: -webkit-inline-flex;
    display: -ms-inline-flexbox;
    display: inline-flex;
    position: relative;
    left: 0;
    top: 0;
    vertical-align: top;
    width: auto;
    height: auto;
    margin-left: 0;
    margin-right: 0;
    margin-top: 15px!important;
    margin-bottom: 15px;
    padding: 5px;
    cursor: pointer;
}

/**
 * Video Object
 */
.video-object {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    max-width: 250px;
    height: auto;
    margin-left: 5px;
    margin-right: 5px;
    border: 7px solid #f0f0f0;
    border-radius: 2px;
    overflow: hidden;
    white-space: normal;
}
.vo.header,
.vo.description,
.vo.video-source,
.vo.filter {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    width:100%;
    height:auto;   
}

/**
 * Video Object Header
 */
.vo.header {
    padding:0px;
}
.vo.header .vo-header-img {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    width:100%;
    height:100%;
}

/**
 * Video Object Description
 */
.vo.description {
    min-height: 180px;
    padding: 10px;
    text-align: center;
    background-color: #fafafa;
    border: 1px solid #e6e6e6;
}
.vo.description .title {
    margin: 10px;
    font-size: 1.1em;
    font-weight: 500;
    color:#333333;
    font-family: roboto-regular !important;
}

/**
 * Video Object Source
 */
.vo.video-source {
    padding: 5px;
    text-align: center;
}
.vo.video-source div {
    display: table;
    width: 100%;
    height: auto;
    padding: 5px;
    background-color: #f0f0f0;
    border: 1px dashed #f0f0f0;
    border-radius:2px;
}
.vo.video-source div .vo-video-source-img,
.vo.video-source div .video-src {
    display:table-cell;
    vertical-align: middle;
    position: relative;
}
.vo.video-source div .vo-video-source-img {
    width:23px;
    height:auto;
    margin:auto;
}
.vo.video-source div .video-src {
    width: 80%;
    padding-left: 10px;
    text-align: left;
    font-size: 0.9em;
    font-weight: 500;
    color: #ffffff;
}

/**
 * Video Object Filter
 */
 .vo.filter {
    display: block;
    position: absolute;
    height: 100%;
    padding: 0px;
    text-align: center;
    cursor: pointer;
}
.vo.filter > div {
    display: table;
    width: 100%;
    height: 100%;
    background-color: rgba(6, 6, 6, 0.8);
}
.vo.filter > div div {
    display:table-cell;
    vertical-align: middle;
    width:100%;
    height:auto;
}
.vo.filter div div .vo-filter-img-container {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    height: auto;
    cursor: pointer;
}
.vo.filter div div .vo-filter-img-container .vo-filter-img {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 50px;
    height: 30px;
    margin: auto;
    cursor: pointer;
}
.vo.filter div div .vo-filter-img-container .selector {
    display: block;
    position:absolute;
    left:0px;
    top:0px;
    width:100%;
    height:100%;
    cursor: pointer;
}
.vo.filter .extra-info {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    height: auto;
    margin: auto;
    padding:10px;
    font-size: 1.1em;
    max-height: 2.4em;
    line-height: 1.2em;
    font-weight:500;
    color:#ffffff;
    cursor: pointer;
}
.video-object .vo.filter {
    animation-name: dismiss-video-object-filter;
    animation-duration: 800ms;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: dismiss-video-object-filter;
    -webkit-animation-duration: 800ms;
    -webkit-animation-timing-function: ease-in-out;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: dismiss-video-object-filter;
    -moz-animation-duration: 800ms;
    -moz-animation-timing-function: ease-in-out;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: dismiss-video-object-filter;
    -ms-animation-duration: 800ms;
    -ms-animation-timing-function: ease-in-out;
    -ms-animation-fill-mode: forwards;
}
.video-object:hover .vo.filter {
    animation-name: present-video-object-filter;
    animation-duration: 800ms;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: present-video-object-filter;
    -webkit-animation-duration: 800ms;
    -webkit-animation-timing-function: ease-in-out;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: present-video-object-filter;
    -moz-animation-duration: 800ms;
    -moz-animation-timing-function: ease-in-out;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: present-video-object-filter;
    -ms-animation-duration: 800ms;
    -ms-animation-timing-function: ease-in-out;
    -ms-animation-fill-mode: forwards;
}

/**
 * Present video object filter
 */
 @keyframes present-video-object-filter {
    0% {
        left:calc(var(--vw, 1vw) * -150);
        opacity:0;
    }
    70% {
        left:calc(var(--vw, 1vw) * 10);
        opacity:0.5;
    }
    100% {
        left:calc(var(--vw, 1vw) * 0);
        opacity:1;
    }
}
@-moz-keyframes present-video-object-filter {
    0% {
        left:calc(var(--vw, 1vw) * -150);
        opacity:0;
    }
    70% {
        left:calc(var(--vw, 1vw) * 10);
        opacity:0.5;
    }
    100% {
        left:calc(var(--vw, 1vw) * 0);
        opacity:1;
    }
}
@-webkit-keyframes present-video-object-filter {
    0% {
        left:calc(var(--vw, 1vw) * -150);
        opacity:0;
    }
    70% {
        left:calc(var(--vw, 1vw) * 10);
        opacity:0.5;
    }
    100% {
        left:calc(var(--vw, 1vw) * 0);
        opacity:1;
    }
}

/**
 * Dismiss video object filter
 */
 @keyframes dismiss-video-object-filter {
    0% {
        top:calc(var(--vw, 1vw) * 0);
        opacity:1;
    }
    30% {
        top:calc(var(--vw, 1vw) * 10);
        opacity:0.7;
    }
    100% {
        top:calc(var(--vw, 1vw) * -150);
        opacity:0;
    }
}
@-moz-keyframes dismiss-video-object-filter {
    0% {
        top:calc(var(--vw, 1vw) * 0);
        opacity:1;
    }
    30% {
        top:calc(var(--vw, 1vw) * 10);
        opacity:0.7;
    }
    100% {
        top:calc(var(--vw, 1vw) * -150);
        opacity:0;
    }
}
@-webkit-keyframes dismiss-video-object-filter {
    0% {
        top:calc(var(--vw, 1vw) * 0);
        opacity:1;
    }
    30% {
        top:calc(var(--vw, 1vw) * 10);
        opacity:0.7;
    }
    100% {
        top:calc(var(--vw, 1vw) * -150);
        opacity:0;
    }
}

/**
 * Footer
 */
.vs.footer {
    padding: 15px;
    text-align: left;
    background-color: #f0f0f0;
    border: 1px solid #94afbd;
    color: #fbf8f8;
}
